<?php

namespace Modules\Training\Entities;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Enrollment extends Eloquent {

	protected $table = 'enrollments';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('enrollment_key');

	public function training()
	{
		return $this->belongsTo('Training', 'training_id');
	}

	public function user()
	{
		return $this->belongsTo('App\User', 'user_id');
	}

	public function payment()
	{
		return $this->belongsTo('Payment', 'payment_id');
	}

}